Uploaded image for project: 'Camel'
  1. Camel
  2. CAMEL-9021

depends on non-free JAR

    XMLWordPrintableJSON

    Details

    • Type: Task
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 2.15.2
    • Fix Version/s: 2.15.3, 2.16.0, 2.14.4
    • Component/s: camel-sip
    • Labels:
    • Environment:

      all

    • Estimated Complexity:
      Unknown

      Description

      The Camel SIP component depends on org.apache.servicemix.specs / org.apache.servicemix.specs.jain-sip-api-1.2

      That JAR depends on javax.sip / jain-sip-api

      The JAIN sip-api classes are not under an Apache compatible free software license.

      The related jain-sip-ri classes (the runtime implementation) are under an Apache compatible license so this bug doesn't concern them.

      The solution is to change the dependency to org.opentelecoms.sip / sip-api or one of the other implementations.

      http://search.maven.org/#search|ga|1|sip-api

        Attachments

          Activity

            People

            • Assignee:
              davsclaus Claus Ibsen
              Reporter:
              daniel.pocock Daniel Pocock
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: